CourseLit logoCourseLit Docs
Api reference

List product lessons

GET
/api/products/{productId}/lessons

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Response Body

application/json

application/json

curl -X GET "https://school.courselit.app/api/products/string/lessons"
{
  "data": [
    {
      "groupId": "string",
      "lessons": [
        {
          "lessonId": "string",
          "title": "string",
          "type": "text",
          "content": {
            "type": "doc",
            "content": [
              {}
            ]
          },
          "media": {
            "mediaId": "string",
            "originalFileName": "string",
            "mimeType": "string",
            "size": 0,
            "access": "public",
            "file": "string",
            "thumbnail": "string",
            "caption": "string"
          },
          "downloadable": true,
          "courseId": "string",
          "groupId": "string",
          "requiresEnrollment": true,
          "published": true
        }
      ]
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}